import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type AddMemberWalletInstructionAccounts = {
    authority?: Signer;
    member: PublicKey;
    fanout: PublicKey;
    membershipAccount?: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
    tokenProgram?: PublicKey;
};
export type AddMemberWalletInstructionData = {
    discriminator: Array<number>;
    shares: bigint;
};
export type AddMemberWalletInstructionArgs = {
    shares: number | bigint;
};
export declare function getAddMemberWalletInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddMemberWalletInstructionArgs, AddMemberWalletInstructionData>;
export declare function addMemberWallet(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity'>, input: AddMemberWalletInstructionAccounts & AddMemberWalletInstructionArgs): WrappedInstruction;
